## com.imcode.imcms.flow
Class EditFileDocumentPageFlow.ArrayMimeTypeRestriction

    java.lang.Object
      com.imcode.imcms.flow.EditFileDocumentPageFlow.ValidMimeTypeRestriction
          com.imcode.imcms.flow.EditFileDocumentPageFlow.ArrayMimeTypeRestriction

All Implemented Interfaces:
  EditFileDocumentPageFlow.MimeTypeRestriction, java.io.Serializable

Enclosing class:
  EditFileDocumentPageFlow

    public static class EditFileDocumentPageFlow.ArrayMimeTypeRestriction

extends EditFileDocumentPageFlow.ValidMimeTypeRestriction

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.imcode.imcms.flow.EditFileDocumentPageFlow.ValidMimeTypeRestriction
`errorMessage`

Constructor Summary
`EditFileDocumentPageFlow.ArrayMimeTypeRestriction(java.lang.String[] allowedMimeTypes, LocalizedMessage errorMessage)`

Method Summary
`boolean` `allows(java.lang.String mimeType)`

Methods inherited from class com.imcode.imcms.flow.EditFileDocumentPageFlow.ValidMimeTypeRestriction
`getErrorMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditFileDocumentPageFlow.ArrayMimeTypeRestriction

    public EditFileDocumentPageFlow.ArrayMimeTypeRestriction(java.lang.String[] allowedMimeTypes,
                                                             LocalizedMessage errorMessage)

Method Detail

### allows

    public boolean allows(java.lang.String mimeType)

  Specified by:
    `allows` in interface `EditFileDocumentPageFlow.MimeTypeRestriction`
  Overrides:
    `allows` in class `EditFileDocumentPageFlow.ValidMimeTypeRestriction`